| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
P33C_PWM_GENERATOR_s Struct Reference

`#include <common/p33c_pral/p33c_pwm.h>`

Collaboration diagram for P33C_PWM_GENERATOR_s:

## Data Fields
union {
struct tagPG1CONLBITS bits
uint16_t value: 16
} | PGxCONL
union {
struct tagPG1CONHBITS bits
uint16_t value
} | PGxCONH
union {
struct tagPG1STATBITS bits
uint16_t value
} | PGxSTAT
union {
struct tagPG1IOCONLBITS bits
uint16_t value
} | PGxIOCONL
union {
struct tagPG1IOCONHBITS bits
uint16_t value
} | PGxIOCONH
union {
struct tagPG1EVTLBITS bits
uint16_t value
} | PGxEVTL
union {
struct tagPG1EVTHBITS bits
uint16_t value
} | PGxEVTH
union {
struct tagPG1FPCILBITS bits
uint16_t value
} | PGxFPCIL
union {
struct tagPG1FPCIHBITS bits
uint16_t value
} | PGxFPCIH
union {
struct tagPG1CLPCILBITS bits
uint16_t value
} | PGxCLPCIL
union {
struct tagPG1CLPCIHBITS bits
uint16_t value
} | PGxCLPCIH
union {
struct tagPG1FFPCILBITS bits
uint16_t value
} | PGxFFPCIL
union {
struct tagPG1FFPCIHBITS bits
uint16_t value
} | PGxFFPCIH
union {
struct tagPG1SPCILBITS bits
uint16_t value
} | PGxSPCIL
union {
struct tagPG1SPCIHBITS bits
uint16_t value
} | PGxSPCIH
union {
struct {
uint16_t LEBL: 16
} bits
uint16_t value
} | PGxLEBL
union {
struct tagPG1LEBHBITS bits
uint16_t value
} | PGxLEBH
union {
struct {
uint16_t PHASE: 16
} bits
uint16_t value
} | PGxPHASE
union {
struct {
uint16_t DC: 16
} bits
uint16_t value
} | PGxDC
union {
struct tagPG1DCABITS bits
uint16_t value
} | PGxDCA
union {
struct {
uint16_t PER: 16
} bits
uint16_t value
} | PGxPER
union {
struct {
uint16_t TRIG: 16
} bits
uint16_t value
} | PGxTRIGA
union {
struct {
uint16_t TRIG: 16
} bits
uint16_t value
} | PGxTRIGB
union {
struct {
uint16_t TRIG: 16
} bits
uint16_t value
} | PGxTRIGC
union {
struct tagPG1DTLBITS bits
uint16_t value
} | PGxDTL
union {
struct tagPG1DTHBITS bits
uint16_t value
} | PGxDTH
union {
struct {
uint16_t CAP: 16
} bits
uint16_t value: 16
} | PGxCAP

## Detailed Description

Definition at line 206 of file p33c_pwm.h.

## Field Documentation

## ◆ bits [1/27]

struct tagPG1CONHBITS bits

Definition at line 212 of file p33c_pwm.h.

## ◆ bits [2/27]

struct tagPG1STATBITS bits

Definition at line 216 of file p33c_pwm.h.

## ◆ bits [3/27]

struct tagPG1IOCONLBITS bits

Definition at line 220 of file p33c_pwm.h.

## ◆ bits [4/27]

struct tagPG1IOCONHBITS bits

Definition at line 224 of file p33c_pwm.h.

## ◆ bits [5/27]

struct tagPG1EVTLBITS bits

Definition at line 228 of file p33c_pwm.h.

## ◆ bits [6/27]

struct tagPG1EVTHBITS bits

Definition at line 232 of file p33c_pwm.h.

## ◆ bits [7/27]

struct tagPG1FPCILBITS bits

Definition at line 236 of file p33c_pwm.h.

## ◆ bits [8/27]

struct tagPG1FPCIHBITS bits

Definition at line 240 of file p33c_pwm.h.

## ◆ bits [9/27]

struct tagPG1CLPCILBITS bits

Definition at line 244 of file p33c_pwm.h.

## ◆ bits [10/27]

struct tagPG1CLPCIHBITS bits

Definition at line 248 of file p33c_pwm.h.

## ◆ bits [11/27]

struct tagPG1FFPCILBITS bits

Definition at line 252 of file p33c_pwm.h.

## ◆ bits [12/27]

struct tagPG1FFPCIHBITS bits

Definition at line 256 of file p33c_pwm.h.

## ◆ bits [13/27]

struct tagPG1SPCILBITS bits

Definition at line 260 of file p33c_pwm.h.

## ◆ bits [14/27]

struct tagPG1SPCIHBITS bits

Definition at line 264 of file p33c_pwm.h.

## ◆ bits [15/27]

struct tagPG1LEBHBITS bits

Definition at line 274 of file p33c_pwm.h.

## ◆ bits [16/27]

struct { ... } bits

## ◆ bits [17/27]

struct { ... } bits

## ◆ bits [18/27]

struct tagPG1DCABITS bits

Definition at line 290 of file p33c_pwm.h.

## ◆ bits [19/27]

struct { ... } bits

## ◆ bits [20/27]

struct { ... } bits

## ◆ bits [21/27]

struct { ... } bits

## ◆ bits [22/27]

struct { ... } bits

## ◆ bits [23/27]

struct tagPG1DTLBITS bits

Definition at line 318 of file p33c_pwm.h.

## ◆ bits [24/27]

struct { ... } bits

## ◆ bits [25/27]

struct tagPG1DTHBITS bits

Definition at line 322 of file p33c_pwm.h.

## ◆ bits [26/27]

struct { ... } bits

## ◆ bits [27/27]

struct tagPG1CONLBITS bits

Definition at line 208 of file p33c_pwm.h.

## ◆ CAP

uint16_t CAP

Definition at line 327 of file p33c_pwm.h.

## ◆ DC

uint16_t DC

Definition at line 285 of file p33c_pwm.h.

## ◆ LEBL

uint16_t LEBL

Definition at line 269 of file p33c_pwm.h.

## ◆ PER

uint16_t PER

Definition at line 295 of file p33c_pwm.h.

## ◆ PGxCAP

union { ... } PGxCAP

## ◆ PGxCLPCIH

union { ... } PGxCLPCIH

## ◆ PGxCLPCIL

union { ... } PGxCLPCIL

## ◆ PGxCONH

union { ... } PGxCONH

## ◆ PGxCONL

union { ... } PGxCONL

## ◆ PGxDC

union { ... } PGxDC

## ◆ PGxDCA

union { ... } PGxDCA

## ◆ PGxDTH

union { ... } PGxDTH

## ◆ PGxDTL

union { ... } PGxDTL

## ◆ PGxEVTH

union { ... } PGxEVTH

## ◆ PGxEVTL

union { ... } PGxEVTL

## ◆ PGxFFPCIH

union { ... } PGxFFPCIH

## ◆ PGxFFPCIL

union { ... } PGxFFPCIL

## ◆ PGxFPCIH

union { ... } PGxFPCIH

## ◆ PGxFPCIL

union { ... } PGxFPCIL

## ◆ PGxIOCONH

union { ... } PGxIOCONH

## ◆ PGxIOCONL

union { ... } PGxIOCONL

## ◆ PGxLEBH

union { ... } PGxLEBH

## ◆ PGxLEBL

union { ... } PGxLEBL

## ◆ PGxPER

union { ... } PGxPER

## ◆ PGxPHASE

union { ... } PGxPHASE

## ◆ PGxSPCIH

union { ... } PGxSPCIH

## ◆ PGxSPCIL

union { ... } PGxSPCIL

## ◆ PGxSTAT

union { ... } PGxSTAT

## ◆ PGxTRIGA

union { ... } PGxTRIGA

## ◆ PGxTRIGB

union { ... } PGxTRIGB

## ◆ PGxTRIGC

union { ... } PGxTRIGC

## ◆ PHASE

uint16_t PHASE

Definition at line 279 of file p33c_pwm.h.

## ◆ TRIG

uint16_t TRIG

Definition at line 301 of file p33c_pwm.h.

## ◆ value

uint16_t value

Definition at line 209 of file p33c_pwm.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_pwm.h